#------------------------------------------------------------------------------
# Modified Calculate-server 2.1.16
# File of a profile "profile/samba"
#------------------------------------------------------------------------------
include    /etc/openldap/schema/cosine.schema
include    /etc/openldap/schema/nis.schema
include    /etc/openldap/schema/inetorgperson.schema
include    /etc/openldap/schema/otherschema.schema
pidfile    /var/run/openldap/slapd.pid
argsfile    /var/run/openldap/slapd.arg
loglevel    0
allow    bind_v2
modulepath    /usr/lib/openldap/openldap
access to attrs=userPassword
    by dn="cn=newother, dc=calculate" read
    by dn="cn=newval, dc=calculate" read
    by dn="cn=ldapadmin,dc=calculate" write
    by dn="ou=Samba,ou=Services,dc=calculate" write
    by dn="ou=Unix,ou=Services,dc=calculate" write
    by dn="ou=Mail,ou=Services,dc=calculate" read
    by dn="ou=Jabber,ou=Services,dc=calculate" read
    by dn="ou=Replication,ou=LDAP,ou=Services,dc=calculate" read
    by self read
    by * none
access to attrs=sambaLMPassword,sambaNTPassword
    by dn="ou=Jabber,ou=Services,dc=calculate" read
    by dn="ou=Mail,ou=Services,dc=calculate" read
    by dn="cn=newval, dc=calculate" read
    by dn="ou=Unix,ou=Services,dc=calculate" write
    by dn="ou=Replication,ou=LDAP,ou=Services,dc=calculate" write
    by dn="ou=Samba,ou=Services,dc=calculate" write
    by dn="cn=ldapadmin,dc=calculate" read
    by self read
    by * auth
access to * by * read

# Backend section for test.
backend bdb
suffix    "dc=example"
rootdn    "cn=ldaproot,dc=calculate"
modulepath    /usr/lib/openldap

database bdb
include    /etc/openldap/replication.conf
suffix    "dc=example, dc=calculate"
checkpoint    1024    5
cachesize    10000
sizelimit    unlimited
directory    /var/lib/openldap-data
rootdn    "cn=ldaproot,dc=calculate"
#include    /etc/openldap/replication.conf
index    objectClass    eq
index    cn    pres,sub,eq
index    uid    pres,sub,eq
index    uidNumber    eq
index    gidNumber    eq
index    default    sub
syncrepl rid=001
    provider=ldap://provider.newexample.com:389
    type=refreshOnly
    interval=01:00:00:00
    searchbase="dc=example,dc=com"
updateref    ldap://ldapmaster.newexample.com
modulepath    /usr/lib/openldap
moduleload    accesslog.la
moduleload    syncprov.la
